{  pkgs, myAliases, ... }:
# with import <nixpkgs>{};
# let
#   tracedSystemSettings = builtins.trace "systemSettings: ${builtins.toJSON systemSettings}" systemSettings;
# in
# with import ./profiles/Developer/home.nix;
{

  # programs.zsh = {
  #   enable = true;
  #   # autosuggestion = true;
  #   syntaxHighlighting.enable = true;
  #   enableCompletion = true;
  #   shellAliases = myAliases;
  #   initExtra = ''
  #   PROMPT=" ◉ %U%F{magenta}%n%f%u@%U%F{blue}%m%f%u:%F{yellow}%~%f
  #    %F{green}→%f "
  #   RPROMPT="%F{red}▂%f%F{yellow}▄%f%F{green}▆%f%F{cyan}█%f%F{blue}▆%f%F{magenta}▄%f%F{white}▂%f"
  #   [ $TERM = "dumb" ] && unsetopt zle && PS1='$ '
  #   '';
  # };

  # programs.bash = {
  #   enable = true;
  #   enableCompletion = true;
  #   shellAliases = myAliases;
  # };
  programs.bat = {
    config = {
      map-syntax = [
        "*.jenkinsfile:Groovy"
        "*.props:Java Properties"
      ];
    pager = "less -FR";
    # theme = "TwoDark"; # managed by stylix
    };
    enable = true;
  };

  home.packages = with pkgs; [
    disfetch lolcat cowsay onefetch
    gnugrep gnused
    bat eza bottom fd bc
    direnv nix-direnv
  ];

  programs.bottom.enable = true;

  programs.direnv.enable = true;
  programs.direnv.enableZshIntegration = true;
  programs.direnv.nix-direnv.enable = true;

  programs.nix-index.enable = true;
  programs.nix-index.enableZshIntegration = true;
  programs.nix-index.enableBashIntegration = true;
}